Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security
Interface IPermissionPolicy

All Known Implementing Classes:
  DefaultPermissionPolicy

    public interface IPermissionPolicy

Defines a pluggable strategy for evaluating the permissions associated with a principal.

Version:
  $Revision: 1.2 $
Author:
  Dan Ellentuck
See Also:
  `IAuthorizationService`, `IPermission`

Method Summary
`boolean` | `doesPrincipalHavePermission(IAuthorizationService service, IAuthorizationPrincipal principal, java.lang.String owner, java.lang.String activity, java.lang.String target)` Answers if the owner has authorized the principal to perform the activity on the target, based on permissions provided by the service.

Method Detail

### doesPrincipalHavePermission

    boolean doesPrincipalHavePermission(IAuthorizationService service,
                                        IAuthorizationPrincipal principal,
                                        java.lang.String owner,
                                        java.lang.String activity,
                                        java.lang.String target)
                                        throws AuthorizationException

  Answers if the owner has authorized the principal to perform the activity on the target, based on permissions provided by the service. Params `service`, `owner` and `activity` must be non-null.

  Parameters:
    `service` - org.jasig.portal.security.IAuthorizationService
    `principal` - org.jasig.portal.security.IAuthorizationPrincipal
    `owner` - java.lang.String
    `activity` - java.lang.String
    `target` - java.lang.String
  Returns:
    boolean
  Throws:
    `AuthorizationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD